DROP TABLE IF EXISTS `ac_reward_points`;
CREATE TABLE IF NOT EXISTS `ac_reward_points` (
	`reward_point_id` int(11) NOT NULL AUTO_INCREMENT,
	`customer_group_id` int(11) NOT NULL,
	`amount` int(11) NOT NULL,
	`amount_modificator` char(1) NOT NULL DEFAULT 'a',
	`combine` smallint(1) NOT NULL DEFAULT '1',
	`object_id` int(11) NOT NULL,
	`object_name` varchar(40) NOT NULL,
	PRIMARY KEY (`reward_point_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

DROP TABLE IF EXISTS `ac_reward_points_history`;
CREATE TABLE IF NOT EXISTS `ac_reward_points_history` (
	`reward_points_history_id` int(11) NOT NULL AUTO_INCREMENT,
	`customer_id` int(11) NOT NULL,
	`amount` int(11) NOT NULL,
	`action` char(1) NOT NULL,
	`source` varchar(10) NOT NULL,
	`source_id` int(11) NOT NULL,
	`comment` text NOT NULL,
	`date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	PRIMARY KEY (`reward_points_history_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

DROP TABLE IF EXISTS `ac_reward_points_customers`;
CREATE TABLE IF NOT EXISTS `ac_reward_points_customers` (
	`customer_id` int(11) NOT NULL,
	`points_amount` int(11) NOT NULL,
	`date_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	PRIMARY KEY (`customer_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

DROP TABLE IF EXISTS `ac_reward_points_orders`;
CREATE TABLE IF NOT EXISTS `ac_reward_points_orders` (
	`reward_points_orders_id` int(11) NOT NULL AUTO_INCREMENT,
	`order_id` int(11) NOT NULL,
	`amount` int(11) NOT NULL,
	`action` char(1) NOT NULL,
	PRIMARY KEY (`reward_points_orders_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_bin;